'\" t
.\"     Title: SPI_execute_plan_with_paramlist
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "SPI_EXECUTE_PLAN_WITH_PARAMLIST" "3" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
SPI_execute_plan_with_paramlist \- execute a statement prepared by \fBSPI_prepare\fR
.SH "SYNOPSIS"
.sp
.nf
int SPI_execute_plan_with_paramlist(SPIPlanPtr \fIplan\fR,
                                    ParamListInfo \fIparams\fR,
                                    bool \fIread_only\fR,
                                    long \fIcount\fR)
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_execute_plan_with_paramlist\fR
executes a statement prepared by
\fBSPI_prepare\fR\&. This function is equivalent to
\fBSPI_execute_plan\fR
except that information about the parameter values to be passed to the query is presented differently\&. The
ParamListInfo
representation can be convenient for passing down values that are already available in that format\&. It also supports use of dynamic parameter sets via hook functions specified in
ParamListInfo\&.
.SH "ARGUMENTS"
.PP
SPIPlanPtr \fIplan\fR
.RS 4
prepared statement (returned by
\fBSPI_prepare\fR)
.RE
.PP
ParamListInfo \fIparams\fR
.RS 4
data structure containing parameter types and values; NULL if none
.RE
.PP
bool \fIread_only\fR
.RS 4
true
for read\-only execution
.RE
.PP
long \fIcount\fR
.RS 4
maximum number of rows to return, or
0
for no limit
.RE
.SH "RETURN VALUE"
.PP
The return value is the same as for
\fBSPI_execute_plan\fR\&.
.PP
\fISPI_processed\fR
and
\fISPI_tuptable\fR
are set as in
\fBSPI_execute_plan\fR
if successful\&.
